caferimo-recipes-delete-one¶
Source¶
Repository:
jef-systems/jef-caferimo-backendSource Run ID:
24962842310Source SHA:
c73d8c4fa33c496a8e9d39267e4868ddfa8978a5Module:
caferimoDocumentation Scope:
asyncLambda:
jef-caferimo-delete-6
Endpoint¶
API Name:
jef-caferimoAction Name:
deleteMethod:
DELETEScope Label:
AsyncResource Path:
/caferimo-recipes-delete-oneComplete Endpoint:
https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-delete-6curl payload mode:
json_body
API Gateway Description¶
Function: jef-caferimo-delete-6
Module: jef-caferimo
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /caferimo-recipes-delete-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-caferimo-recipes
Payload Example:
- recipe_number: 0001
Payload Schema:
- pk: recipe_number
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"recipe_number": "0001"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one" -H "Content-Type: application/json" --data-raw "{\"recipe_number\": \"0001\"}"
PowerShell curl¶
curl.exe -X DELETE "https://iim2eohqsl.execute-api.ap-southeast-1.amazonaws.com/prod/caferimo-recipes-delete-one" -H "Content-Type: application/json" --data-raw '{"recipe_number": "0001"}'